package com.knecon.fforesight.service.layoutparser.processor.model.outline;

import java.util.ArrayList;
import java.util.List;

import lombok.Data;

@Data
public class OutlineObjectTreeNode {

    private OutlineObject outlineObject;

    private List<OutlineObjectTreeNode> children = new ArrayList<>();


    public OutlineObjectTreeNode(OutlineObject outlineObject) {

        this.outlineObject = outlineObject;
    }


    public void addChild(OutlineObjectTreeNode outlineObject) {

        children.add(outlineObject);
    }


    @Override
    public String toString() {

        return "OutlineObjectTreeNode{" + "outlineObject=" + outlineObject + '}';
    }

}
